package com.ozs.da.entity.model;

import com.ozs.da.entity.task.Task;
import com.lmax.disruptor.EventFactory;

/**
 * @author 许明
 * on 2019/3/6.
 * @version 2.0.0
 */
public class ScheduleRoundEvent {
    private Task task;

    public final static EventFactory<ScheduleRoundEvent> EVENT_FACTORY = new EventFactory<ScheduleRoundEvent>()
    {
        public ScheduleRoundEvent newInstance()
        {
            return new ScheduleRoundEvent();
        }
    };

    public Task getTask() {
        return task;
    }

    public void setTask(Task task) {
        this.task = task;
    }
}
